use crate::handlers::{MainDialogue, PackagedHandler};
use sea_orm::prelude::*;
use teloxide::{adaptors::Throttle, prelude::*};

pub async fn get_document(
    bot: Throttle<Bot>,
    msg: Message,
    db: DatabaseConnection,
    dialogue: MainDialogue,
    next: PackagedHandler<()>,
) -> crate::Result<()> {
    next.lock().await.take().unwrap()(bot, msg, db, dialogue, ()).await
}
