use sea_orm::prelude::*;
use teloxide::{adaptors::Throttle, prelude::*};

use crate::handlers::{MainDialogue, PackagedHandler};

pub async fn get_login(
    bot: Throttle<Bot>,
    msg: Message,
    db: DatabaseConnection,
    dialogue: MainDialogue,
    next: PackagedHandler<String>,
) -> crate::Result<()> {
    let text = msg.text().unwrap().trim().to_owned();
    super::generic::generic(
        bot,
        text,
        msg,
        db,
        dialogue,
        |_, _, _, _| Box::pin(async { Ok(true) }),
        next,
    )
    .await
}
